package com.sf.system.deployment.service.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.sf.common.annotation.Log;
import com.sf.common.core.controller.BaseController;
import com.sf.common.core.domain.AjaxResult;
import com.sf.common.core.domain.entity.SysDictData;
import com.sf.common.core.domain.entity.SysDictType;
import com.sf.common.core.page.TableDataInfo;
import com.sf.common.enums.BusinessType;
import com.sf.system.service.ISysDictDataService;
import com.sf.system.service.ISysDictTypeService;

/***
 * 部署服务-环境维护
 * 
 * @author xy
 *
 */
@RestController
@RequestMapping("/deployment/service/server")
public class DeploymentServerController extends BaseController {
	@Autowired
	private ISysDictTypeService dictTypeService;

	@Autowired
	private ISysDictDataService dictDataService;

	/**
	 * 查询应用环境维护列表
	 */
	@PreAuthorize("@ss.hasPermi('deployment:service:server:list')")
	@GetMapping("/list")
	public TableDataInfo list(SysDictType dictType) {
		startPage();
		List<SysDictType> list = dictTypeService.selectDictTypeList(dictType);
		// 查询字典数据
		for (SysDictType sysDictType : list) {
			List<SysDictData> data = dictTypeService.selectDictDataByType(sysDictType.getDictType());
			sysDictType.setSysDictDataList(data);
		}
		return getDataTable(list);
	}

//	@PreAuthorize("@ss.hasPermi('deployment:service:server:add')")
//	@Log(title = "新增", businessType = BusinessType.INSERT)
//	@PostMapping
//	public AjaxResult add(@Validated @RequestBody SysDictType dict) {
//		if (!dictTypeService.checkDictTypeUnique(dict)) {
//			return error("新增部署服务环境维护'" + dict.getDictName() + "'失败，字典类型已存在");
//		}
//		dict.setCreateBy(getUsername());
//		dictTypeService.insertDictType(dict);
//		dictDataService.insertDictData(dict.getSysDictDataList());
//		return toAjax();
//	}
}
