package com.sf.vertx.controller;

import java.util.Set;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.ZSetOperations;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.sf.vertx.constans.RedisConfig;

import lombok.extern.slf4j.Slf4j;

/***
 * 测试redis
 * 
 * @author xy
 *
 */
@RestController
@RequestMapping("/vertx/test/redis")
@Slf4j
public class TestRedisController {
	@Value("${server.vertx.environment}")
    private String vertxEnvironment;
	@Autowired
	private RedisTemplate<String, String> redisTemplate;

	@GetMapping("/test")
	public String test() {
		redisTemplate.opsForValue().set("a", "1");
		return redisTemplate.opsForValue().get("a");
	}

	public String allConfig() {
		String setKey = RedisConfig.VETX_ENVIRONMENT_KEY+vertxEnvironment;
		// 获取所有app列表
		Set<String> set = redisTemplate.opsForZSet().range(setKey, 0, -1);
		for(String appCode : set) {
			String appCodeKey = setKey + ":" + appCode;
			String appCodeValue = redisTemplate.opsForValue().get(appCodeKey);
			if(StringUtils.isNotBlank(appCodeValue)) {
				
			}
		}
		
		// 添加zset
		return null;
	}
}
