package com.sf.vertx.handle;

import io.vertx.ext.web.RoutingContext;
import io.vertx.httpproxy.HttpProxy;
import lombok.extern.slf4j.Slf4j;

/**
 * @author <a href="mailto:emad.albloushi@gmail.com">Emad Alblueshi</a>
 */
@Slf4j
public class SFProxyHandlerImpl implements SFProxyHandler {

	private final HttpProxy httpProxy;
	private RoutingContext ctx;

	public SFProxyHandlerImpl(HttpProxy httpProxy) {
		this.httpProxy = httpProxy;
	}

	public SFProxyHandlerImpl(HttpProxy httpProxy, int port, String host) {
		this.httpProxy = httpProxy.origin(port, host);
	}

	@Override
	public void handle(RoutingContext ctx) {
		// String body = ctx.getBodyAsString();
		// log.info("ctx.getBodyAsJson():{}", body);
		this.ctx = ctx;
		httpProxy.handle(ctx.request());
	}

	public RoutingContext getCtx() {
		return ctx;
	}

	public void setCtx(RoutingContext ctx) {
		this.ctx = ctx;
	}

}